package com.jpsoft.shinestar.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:base_work_shift_company的实体类
 */
public class WorkShiftCompany {
	private String id;
	private String shiftId;
	private String companyId;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;
	
		/**
	 *获取编号
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置编号
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取班次ID
	 */
	public String getShiftId(){
		return shiftId;
	}
	
	/**
	 *设置班次ID
	 */
	public void setShiftId(String shiftId){
		this.shiftId = shiftId;
	}
		/**
	 *获取部门ID
	 */
	public String getCompanyId(){
		return companyId;
	}
	
	/**
	 *设置部门ID
	 */
	public void setCompanyId(String companyId){
		this.companyId = companyId;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm")
		/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取更新人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm")
		/**
	 *获取更新时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
}